# 

```commandline
python3 -m venv venv
source venv/bin/activate
pip install -r requirements.txt
```

## test
```commandline
python -m pytest
```

# flutter
## Install flutter

```commandline
pip install -r requirements.txt
sudo apt install libmpv-dev mpv # https://github.com/jellyfin/jellyfin-media-player/issues/465
sudo ln -s /usr/lib/x86_64-linux-gnu/libmpv.so.2 /usr/lib/x86_64-linux-gnu/libmpv.so.1
```

## Execute flutter
https://flet.dev/docs/cookbook/packaging-desktop-app/

```commandline
flet run __main__.py
```

## Build flutter

```commandline
#flet build __main__.py
flet pack __main__.py
```
run with
```commandline
./dist/__main__
```
