#define SB_CONFIG_BOARD "thingy91"
#define SB_CONFIG_BOARD_REVISION ""
#define SB_CONFIG_BOARD_THINGY91 1
#define SB_CONFIG_BOARD_THINGY91_NRF9160_NS 1
#define SB_CONFIG_BOARD_QUALIFIERS "nrf9160/ns"
#define SB_CONFIG_SOC "nrf9160"
#define SB_CONFIG_SOC_SERIES "nrf91"
#define SB_CONFIG_SOC_FAMILY "nordic_nrf"
#define SB_CONFIG_SOC_FAMILY_NORDIC_NRF 1
#define SB_CONFIG_SOC_SERIES_NRF91X 1
#define SB_CONFIG_SOC_NRF9160 1
#define SB_CONFIG_SOC_NRF9160_SICA 1
#define SB_CONFIG_THINGY91_STATIC_PARTITIONS_FACTORY 1
#define SB_CONFIG_PARTITION_MANAGER 1
#define SB_CONFIG_PM_MCUBOOT_PAD 0x200
#define SB_CONFIG_BUILD_OUTPUT_BIN 1
#define SB_CONFIG_BUILD_OUTPUT_HEX 1
#define SB_CONFIG_BOARD_IS_NON_SECURE 1
#define SB_CONFIG_APPCORE_REMOTE_BOARD_TARGET_CPUCLUSTER "cpuapp"
#define SB_CONFIG_APPCORE_REMOTE_DOMAIN "CPUAPP"
#define SB_CONFIG_MCUBOOT_MAX_UPDATEABLE_IMAGES 4
#define SB_CONFIG_MCUBOOT_APPLICATION_IMAGE_NUMBER 0
#define SB_CONFIG_MCUBOOT_NETWORK_CORE_IMAGE_NUMBER -1
#define SB_CONFIG_MCUBOOT_WIFI_PATCHES_IMAGE_NUMBER -1
#define SB_CONFIG_MCUBOOT_QSPI_XIP_IMAGE_NUMBER -1
#define SB_CONFIG_MCUBOOT_MCUBOOT_IMAGE_NUMBER -1
#define SB_CONFIG_MCUBOOT_MIN_UPDATEABLE_IMAGES 1
#define SB_CONFIG_MCUBOOT_MIN_ADDITIONAL_UPDATEABLE_IMAGES 0
#define SB_CONFIG_MCUBOOT_UPDATEABLE_IMAGES 1
#define SB_CONFIG_MCUBOOT_ADDITIONAL_UPDATEABLE_IMAGES 0
#define SB_CONFIG_MCUBOOT_APP_SYNC_UPDATEABLE_IMAGES 1
#define SB_CONFIG_SUPPORT_QSPI_XIP 1
#define SB_CONFIG_DFU_ZIP 1
#define SB_CONFIG_DFU_ZIP_APP 1
#define SB_CONFIG_APPROTECT_NO_SYSBUILD 1
#define SB_CONFIG_SECURE_APPROTECT_NO_SYSBUILD 1
#define SB_CONFIG_ZEPHYR_NRF_MODULE 1
#define SB_CONFIG_ZEPHYR_MCUBOOT_MODULE 1
#define SB_CONFIG_ZEPHYR_MBEDTLS_MODULE 1
#define SB_CONFIG_ZEPHYR_OBERON_PSA_CRYPTO_MODULE 1
#define SB_CONFIG_ZEPHYR_TRUSTED_FIRMWARE_M_MODULE 1
#define SB_CONFIG_ZEPHYR_PSA_ARCH_TESTS_MODULE 1
#define SB_CONFIG_ZEPHYR_SOC_HWMV1_MODULE 1
#define SB_CONFIG_ZEPHYR_CJSON_MODULE 1
#define SB_CONFIG_ZEPHYR_AZURE_SDK_FOR_C_MODULE 1
#define SB_CONFIG_ZEPHYR_CIRRUS_LOGIC_MODULE 1
#define SB_CONFIG_ZEPHYR_OPENTHREAD_MODULE 1
#define SB_CONFIG_ZEPHYR_SUIT_GENERATOR_MODULE 1
#define SB_CONFIG_ZEPHYR_SUIT_PROCESSOR_MODULE 1
#define SB_CONFIG_ZEPHYR_MEMFAULT_FIRMWARE_SDK_MODULE 1
#define SB_CONFIG_ZEPHYR_COREMARK_MODULE 1
#define SB_CONFIG_ZEPHYR_CANOPENNODE_MODULE 1
#define SB_CONFIG_ZEPHYR_CHRE_MODULE 1
#define SB_CONFIG_ZEPHYR_LZ4_MODULE 1
#define SB_CONFIG_ZEPHYR_NANOPB_MODULE 1
#define SB_CONFIG_ZEPHYR_TF_M_TESTS_MODULE 1
#define SB_CONFIG_ZEPHYR_ZSCILIB_MODULE 1
#define SB_CONFIG_ZEPHYR_CMSIS_MODULE 1
#define SB_CONFIG_ZEPHYR_CMSIS_DSP_MODULE 1
#define SB_CONFIG_ZEPHYR_CMSIS_NN_MODULE 1
#define SB_CONFIG_ZEPHYR_FATFS_MODULE 1
#define SB_CONFIG_ZEPHYR_HAL_NORDIC_MODULE 1
#define SB_CONFIG_ZEPHYR_HAL_ST_MODULE 1
#define SB_CONFIG_ZEPHYR_HAL_WURTHELEKTRONIK_MODULE 1
#define SB_CONFIG_ZEPHYR_HOSTAP_MODULE 1
#define SB_CONFIG_ZEPHYR_LIBMETAL_MODULE 1
#define SB_CONFIG_ZEPHYR_LIBLC3_MODULE 1
#define SB_CONFIG_ZEPHYR_LITTLEFS_MODULE 1
#define SB_CONFIG_ZEPHYR_LORAMAC_NODE_MODULE 1
#define SB_CONFIG_ZEPHYR_LVGL_MODULE 1
#define SB_CONFIG_ZEPHYR_MIPI_SYS_T_MODULE 1
#define SB_CONFIG_ZEPHYR_NRF_WIFI_MODULE 1
#define SB_CONFIG_ZEPHYR_OPEN_AMP_MODULE 1
#define SB_CONFIG_ZEPHYR_PICOLIBC_MODULE 1
#define SB_CONFIG_ZEPHYR_SEGGER_MODULE 1
#define SB_CONFIG_ZEPHYR_TINYCRYPT_MODULE 1
#define SB_CONFIG_ZEPHYR_UOSCORE_UEDHOC_MODULE 1
#define SB_CONFIG_ZEPHYR_ZCBOR_MODULE 1
#define SB_CONFIG_ZEPHYR_NRFXLIB_MODULE 1
#define SB_CONFIG_ZEPHYR_NRF_HW_MODELS_MODULE 1
#define SB_CONFIG_ZEPHYR_CONNECTEDHOMEIP_MODULE 1
#define SB_CONFIG_WARN_DEPRECATED 1
#define SB_CONFIG_SUPPORT_BOOTLOADER 1
#define SB_CONFIG_SUPPORT_BOOTLOADER_MCUBOOT_ZEPHYR 1
#define SB_CONFIG_BOOTLOADER_MCUBOOT 1
#define SB_CONFIG_MCUBOOT_MODE_SWAP_WITHOUT_SCRATCH 1
#define SB_CONFIG_SIGNATURE_TYPE "RSA"
#define SB_CONFIG_BOOT_SIGNATURE_TYPE_RSA 1
#define SB_CONFIG_BOOT_SIGNATURE_KEY_FILE "/home/pedro/ncs/v2.9.0/bootloader/mcuboot/root-rsa-2048.pem"
