/*
 * Copyright (c) 2016 Intel Corporation
 *
 * SPDX-License-Identifier: Apache-2.0
 */

/* Controlling LEDs through UART. Press 1-3 on your keyboard to toggle LEDS 1-3
 * on your development kit */

#pragma once

#include <stdio.h>
#include <zephyr/net/socket.h>
#include <zephyr/kernel.h>

static struct k_work_delayable socket_transmission_work;
static int sock;
static struct sockaddr_storage server;

int server_resolve(void);
int server_connect(void);
